# swagger.api.RecipientsApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://service.fax-api.de/4.0/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getRecipients**](RecipientsApi.md#getRecipients) | **GET** /recipients | /recipients

# **getRecipients**
> Recipients getRecipients(objectLimit, objectOffset, filterJobId, filterSameAccount, filterFaxNumber, filterFaxNumberNorm, filterRecipientReference, filterInternationalDialingCode, filterResultCode, filterResultText, sortField, sortOrder)

/recipients

Description: To obtain a list of recipients

### Example
```dart
import 'package:swagger/api.dart';
// TODO Configure API key authorization: ApiAuthKey
//swagger.api.Configuration.apiKey{'X-Auth-Token'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//swagger.api.Configuration.apiKeyPrefix{'X-Auth-Token'} = "Bearer";

var api_instance = new RecipientsApi();
var objectLimit = 56; // int | Query parameter to change de default limitation of objects in the result data array
var objectOffset = 56; // int | Query parameter to change de default offset of objects in the result data array
var filterJobId = filterJobId_example; // String | Query parameter to fetch after recipient related to specific fax job
var filterSameAccount = true; // bool | Query parameter to fetch recipient related to jobs linked to the used token/key for authorization
var filterFaxNumber = filterFaxNumber_example; // String | Query parameter to fetch recipients after his fax number
var filterFaxNumberNorm = filterFaxNumberNorm_example; // String | Query parameter to fetch recipients after his normed fax number
var filterRecipientReference = filterRecipientReference_example; // String | Query parameter to fetch recipients after his recipient reference
var filterInternationalDialingCode = filterInternationalDialingCode_example; // String | Query parameter to fetch recipients after his international dialing code
var filterResultCode = filterResultCode_example; // String | Query parameter to fetch recipients after his result code
var filterResultText = filterResultText_example; // String | Query parameter to fetch recipients after his result text
var sortField = sortField_example; // String | Available sort options for the result data array.
var sortOrder = sortOrder_example; // String | Describes the order for used sort fields

try {
    var result = api_instance.getRecipients(objectLimit, objectOffset, filterJobId, filterSameAccount, filterFaxNumber, filterFaxNumberNorm, filterRecipientReference, filterInternationalDialingCode, filterResultCode, filterResultText, sortField, sortOrder);
    print(result);
} catch (e) {
    print("Exception when calling RecipientsApi->getRecipients: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **objectLimit** | **int**| Query parameter to change de default limitation of objects in the result data array | [optional] [default to 100]
 **objectOffset** | **int**| Query parameter to change de default offset of objects in the result data array | [optional] [default to 0]
 **filterJobId** | **String**| Query parameter to fetch after recipient related to specific fax job | [optional] 
 **filterSameAccount** | **bool**| Query parameter to fetch recipient related to jobs linked to the used token/key for authorization | [optional] [default to false]
 **filterFaxNumber** | **String**| Query parameter to fetch recipients after his fax number | [optional] 
 **filterFaxNumberNorm** | **String**| Query parameter to fetch recipients after his normed fax number | [optional] 
 **filterRecipientReference** | **String**| Query parameter to fetch recipients after his recipient reference | [optional] 
 **filterInternationalDialingCode** | **String**| Query parameter to fetch recipients after his international dialing code | [optional] 
 **filterResultCode** | **String**| Query parameter to fetch recipients after his result code | [optional] 
 **filterResultText** | **String**| Query parameter to fetch recipients after his result text | [optional] 
 **sortField** | **String**| Available sort options for the result data array. | [optional] 
 **sortOrder** | **String**| Describes the order for used sort fields | [optional] [default to asc]

### Return type

[**Recipients**](Recipients.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

