part of swagger.api;



class RecipientsApi {
  final ApiClient apiClient;

  RecipientsApi([ApiClient apiClient]) : apiClient = apiClient ?? defaultApiClient;

  /// /recipients
  ///
  /// Description: To obtain a list of recipients
  Future<Recipients> getRecipients({ int objectLimit, int objectOffset, String filterJobId, bool filterSameAccount, String filterFaxNumber, String filterFaxNumberNorm, String filterRecipientReference, String filterInternationalDialingCode, String filterResultCode, String filterResultText, String sortField, String sortOrder }) async {
    Object postBody = null;

    // verify required params are set

    // create path and map variables
    String path = "/recipients".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
    if(objectLimit != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "objectLimit", objectLimit));
    }
    if(objectOffset != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "objectOffset", objectOffset));
    }
    if(filterJobId != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterJobId", filterJobId));
    }
    if(filterSameAccount != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterSameAccount", filterSameAccount));
    }
    if(filterFaxNumber != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterFaxNumber", filterFaxNumber));
    }
    if(filterFaxNumberNorm != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterFaxNumberNorm", filterFaxNumberNorm));
    }
    if(filterRecipientReference != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterRecipientReference", filterRecipientReference));
    }
    if(filterInternationalDialingCode != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterInternationalDialingCode", filterInternationalDialingCode));
    }
    if(filterResultCode != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterResultCode", filterResultCode));
    }
    if(filterResultText != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterResultText", filterResultText));
    }
    if(sortField != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "sortField", sortField));
    }
    if(sortOrder != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "sortOrder", sortOrder));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["ApiAuthKey"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
          apiClient.deserialize(response.body, 'Recipients') as Recipients ;
    } else {
      return null;
    }
  }
}
