part of swagger.api;

class JobRecipients {
  /* Number of fetched recipients in total based on the used filter. Number can be different form count if object limit is smaller than total. */
  int total = null;
/* Offset used in the query */
  int offset = null;
/* Number of fetched recipients in the sent data array. Number can be different form total if object limit is smaller. */
  int count = null;
/* Array of fetched recipients */
  List<JobRecipient> data = [];

  JobRecipients();

  @override
  String toString() {
    return 'JobRecipients[total=$total, offset=$offset, count=$count, data=$data, ]';
  }

  JobRecipients.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    total = json['total'];
    offset = json['offset'];
    count = json['count'];
    data = JobRecipient.listFromJson(json['data']);
  }

  Map<String, dynamic> toJson() {
    return {
      'total': total,
      'offset': offset,
      'count': count,
      'data': data
     };
  }

  static List<JobRecipients> listFromJson(List<dynamic> json) {
    return json == null ? new List<JobRecipients>() : json.map((value) => new JobRecipients.fromJson(value)).toList();
  }

  static Map<String, JobRecipients> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, JobRecipients>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new JobRecipients.fromJson(value));
    }
    return map;
  }
}
